Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\SPI\Persistence\URL\Handler Interface Reference

The URL Handler interface defines operations on URLs in the storage engine. More...

Inheritance diagram for eZ\Publish\SPI\Persistence\URL\Handler:

## Public Member Functions
| updateUrl ($id, URLUpdateStruct $urlUpdateStruct)
| Updates a existing URL. More...
| find (URLQuery $query)
| Selects URLs data using $query. More...
| findUsages ($id)
| Returns IDs of Content Objects using URL identified by $id. More...
| loadById ($id)
| Loads the data for the URL identified by $id. More...
| loadByUrl ($url)
| Loads the data for the URL identified by $url. More...

## Detailed Description

The URL Handler interface defines operations on URLs in the storage engine.

Definition at line 14 of file SPI/Persistence/URL/Handler.php.

## Member Function Documentation

## ◆ find()

eZ\Publish\SPI\Persistence\URL\Handler::find | ( | URLQuery | $query | ) |

Selects URLs data using $query.

Parameters

  \eZ\Publish\API\Repository\Values\URL\URLQuery | $query |

Returns
  array

Implemented in eZ\Publish\Core\Persistence\Cache\URLHandler.

## ◆ findUsages()

eZ\Publish\SPI\Persistence\URL\Handler::findUsages | ( |  | $id | ) |

Returns IDs of Content Objects using URL identified by $id.

Parameters

  int | $id |

Returns
  array

Implemented in eZ\Publish\Core\Persistence\Cache\URLHandler.

## ◆ loadById()

eZ\Publish\SPI\Persistence\URL\Handler::loadById | ( |  | $id | ) |

Loads the data for the URL identified by $id.

Parameters

  int | $id |

Returns
  \eZ\Publish\SPI\Persistence\URL\URL

Exceptions

Implemented in eZ\Publish\Core\Persistence\Cache\URLHandler.

## ◆ loadByUrl()

eZ\Publish\SPI\Persistence\URL\Handler::loadByUrl | ( |  | $url | ) |

Loads the data for the URL identified by $url.

Parameters

  string | $url |

Returns
  \eZ\Publish\SPI\Persistence\URL\URL

Exceptions

Implemented in eZ\Publish\Core\Persistence\Cache\URLHandler.

## ◆ updateUrl()

eZ\Publish\SPI\Persistence\URL\Handler::updateUrl | ( |  | $id,
|  | URLUpdateStruct | $urlUpdateStruct
| ) |  |

Updates a existing URL.

Parameters

  int | $id |
  \eZ\Publish\SPI\Persistence\URL\URLUpdateStruct | $urlUpdateStruct |

Returns
  \eZ\Publish\SPI\Persistence\URL\URL

Implemented in eZ\Publish\Core\Persistence\Cache\URLHandler.

The documentation for this interface was generated from the following file:

- SPI/Persistence/URL/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.